image: docker:latest

services:
  - docker:dind

stages:
  - build
  - publish

before_script:
  - export IMAGE_TAG="$CI_BUILD_REF_NAME"
  - docker login -u "gitlab-ci-token" -p "$CI_BUILD_TOKEN" $CI_REGISTRY

build-wp:
  stage: build
  script:
    - docker build --pull -t "$CI_REGISTRY_IMAGE:$IMAGE_TAG" .
    - docker push "$CI_REGISTRY_IMAGE:$IMAGE_TAG"
  allow_failure: false
  only:
    - /^\d+\.\d+\.\d+$/

publish-wp:
  stage: publish
  script:
    - docker pull "$CI_REGISTRY_IMAGE:$IMAGE_TAG"
    - docker tag "$CI_REGISTRY_IMAGE:$IMAGE_TAG" "$CI_REGISTRY_IMAGE:current"
    - docker push "$CI_REGISTRY_IMAGE:current"
  when: on_success
  only:
    - /^\d+\.\d+\.\d+$/
